Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86153 - Internal compiler Error
Summary: Internal compiler Error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 23:39 UTC by Sameer Managoli
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 12:57:26 UTC


Attachments (Terms of Use)
THe sources directory contains RNA directory. (deleted)
2003-03-14 23:43 UTC, Sameer Managoli
no flags Details

Description Sameer Managoli 2003-03-14 23:39:01 UTC
Description of problem: 
When i make a file there is a Internal complier error as shown below. 
 
$ make 
c++ -c -O3 -ffast-math top.cc 
In file included from /usr/include/c++/3.2/backward/fstream.h:31, 
                 from top.h:6, 
                 from top.cc:2: 
/usr/include/c++/3.2/backward/backward_warning.h:32:2: warning: #warning This 
file includes at least one deprecated or antiquated header. Please consider 
using one of the 32 headers found in section 17.4.1.2 of the C++ standard. 
Examples include substituting the <X> header for the <X.h> header for C++ 
includes, or <sstream> instead of the deprecated header <strstream.h>. To 
disable this warning use -Wno-deprecated. 
In file included from top.h:18, 
                 from top.cc:2: 
strand.h:14:11: warning: no newline at end of file 
In file included from top.cc:2: 
top.h:44:1: warning: no newline at end of file 
top.cc:196:1: warning: no newline at end of file 
top.cc: In constructor `TreeTopology::TreeTopology(char*, char*)': 
top.cc:151: Internal compiler error in find_function_data, at function.c:329 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions. 
make: *** [top.o] Error 1 
 
Version-Release number of selected component (if applicable): 
 
gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7) 
How reproducible: 
Everytime i make the files in this direcory it get sthis message. 
 
 
Steps to Reproduce: 
1. 
2. 
3. 
     
Actual results:Not compiling 
 
 
Expected results:TO compile 
 
 
Additional info:

Comment 1 Sameer Managoli 2003-03-14 23:43:47 UTC
Created attachment 90608 [details]
THe sources directory contains RNA directory.

when i make the files in RNA direcory there is a internal compiler error.I'm
sending the whole set of code.

Comment 2 David Lawrence 2003-03-31 16:57:59 UTC
Changing component and product so the proper developer will see this bug.

Comment 3 Richard Henderson 2004-10-03 12:57:26 UTC
Gcc 3.2.3-20 does not ICE compiling top.cc.


Note You need to log in before you can comment on or make changes to this bug.